Skip to content

Enqueue create ticket

Request

Enqueues ticket creation for asynchronous processing, returning if the job was enqueued successfully to be processed. We attempt to perform a best-effort validation on inputs before tasks are enqueued. If the given parameters are incorrect, we won't enqueue the job.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/json
ticket_type_idstringrequired

The ID of the type of ticket you want to create

Example:"1234"
contactsArray of objectsrequired

The list of contacts (users or leads) affected by this ticket. Currently only one is allowed

Example:
[ { "id": "1234" } ]
company_idstring

The ID of the company that the ticket is associated with. The unique identifier for the company which is given by Intercom

Example:"5f4d3c1c-7b1b-4d7d-a97e-6095715c6632"
created_atinteger

The time the ticket was created. If not provided, the current time will be used.

Example:1590000000
ticket_attributesobject(Ticket Attributes)

The attributes set on the ticket. When setting the default title and description attributes, the attribute keys that should be used are _default_title_ and _default_description_. When setting ticket type attributes of the list attribute type, the key should be the attribute name and the value of the attribute should be the list item id, obtainable by listing the ticket type. For example, if the ticket type has an attribute called priority of type list, the key should be priority and the value of the attribute should be the guid of the list item (e.g. de1825a0-0164-4070-8ca6-13e22462fa7e).

Example:
{ "_default_title_": "Found a bug", "_default_description_": "The button is not working" }
assignmentobject
skip_notificationsboolean

Option to disable notifications when a Ticket is created.

Example:true
curl -i -X POST \
  https://api.intercom.io/tickets/enqueue \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "ticket_type_id": 88,
    "contacts": [
      {
        "id": "6762f2d81bb69f9f2193bc54"
      }
    ],
    "ticket_attributes": {
      "_default_title_": "example",
      "_default_description_": "there is a problem"
    }
  }'

Responses

Successful response

Bodyapplication/json
typestring

The type of the object

Value:"job"
idstringrequired

The id of the job that's currently being processed or has completed.

Example:20
urlstring

API endpoint URL to check the job status.

Example:"https://api.intercom.io/jobs/status/20"
statusstring

The status of the job execution.

Enum:"pending""success""failed"
resource_typestring

The type of resource created during job execution.

Example:"ticket"
resource_idstring or null

The id of the resource created during job execution (e.g. ticket id)

Example:123
resource_urlstring or null

The url of the resource created during job exeuction. Use this url to fetch the resource.

Example:"http://api.intercom.io/tickets/123"
Response
{ "type": "job", "id": "20", "status": "pending", "url": "https://api.intercom.io/jobs/status/20", "resource_type": "ticket", "resource_id": null, "resource_url": null }